EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count for a Docker blob.'
GO

IF OBJECT_ID('[DockerBlobs_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [DockerBlobs_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_IncrementDownloadCount]
(
	@Feed_Id INT,
	@Blob_Digest VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [DockerBlobs]
	   SET [Download_Count] = [Download_Count] + 1,
	       [LastRequested_Date] = GETUTCDATE()
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Blob_Digest] = @Blob_Digest

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DockerBlobs_IncrementDownloadCount] TO [ProGetUser_Role]
GO