EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'LogMessages_DeleteMessages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes one or all messages from the error log.'
GO

IF OBJECT_ID('[LogMessages_DeleteMessages]') IS NOT NULL DROP PROCEDURE [LogMessages_DeleteMessages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LogMessages_DeleteMessages]
(
	@LogMessage_Id INT = NULL,
	@Category_Name VARCHAR(30) = NULL
) AS
BEGIN

    SET NOCOUNT ON

    BEGIN TRY

	    DELETE [LogMessages]
	     WHERE (@LogMessage_Id IS NULL OR [LogMessage_Id] = @LogMessage_Id)
		   AND (@Category_Name IS NULL OR [Category_Name] = @Category_Name)

    END TRY BEGIN CATCH
	    EXEC [HandleError]
    END CATCH

END
GO

GRANT EXECUTE ON [LogMessages_DeleteMessages] TO [ProGetUser_Role]